Bug 29969 - Chromium Port - Windows
: Chromium Port - Windows
Product: WebKit
Classification: Unclassified
Component: WebKit Misc.
: 528+ (Nightly build)
: All Mac OS X 10.5
: P2 Normal
Assigned To: Yaar Schnitman
Depends on: 29973
Blocks: 28396
  Show dependency treegraph
Reported: 2009-10-01 10:04 PDT by Yaar Schnitman
Modified: 2009-10-15 16:03 PDT (History)
3 users (show)

See Also:

build log file (7.76 KB, text/plain)
2009-10-01 10:06 PDT, Yaar Schnitman
no flags Details
Patch (3.53 KB, patch)
2009-10-12 16:15 PDT, Yaar Schnitman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yaar Schnitman 2009-10-01 10:04:52 PDT
We have a couple of build failures when trying to build the port on windows. See attached log.
Comment 1 Yaar Schnitman 2009-10-01 10:06:45 PDT
Created attachment 40453 [details]
build log file
Comment 2 Yaar Schnitman 2009-10-12 16:15:13 PDT
Created attachment 41065 [details]

1. The /useenv command argument passed to devenv.com broke the chromium build, so had to be removed.
2. gtest dependency was added.
3. gyp bug was fixed and pulled in.

I used the opportunity to sync the rest of the deps revisions.
Comment 3 Yaar Schnitman 2009-10-12 16:15:56 PDT
Once committed, we chromium port compiles on windows!
Comment 4 Dimitri Glazkov (Google) 2009-10-12 17:08:35 PDT
Comment on attachment 41065 [details]

r=me. How much of the port are we building?
Comment 5 WebKit Commit Bot 2009-10-12 17:27:17 PDT
Comment on attachment 41065 [details]

Clearing flags on attachment: 41065

Committed r49485: <http://trac.webkit.org/changeset/49485>
Comment 6 WebKit Commit Bot 2009-10-12 17:27:21 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Brian Weinstein 2009-10-15 16:03:35 PDT
This patch committed removed the ability to do parallel processes in Windows in Visual Studio, which had to be fixed in http://trac.webkit.org/changeset/49664. If some could test these kind of tools changes on WebKit, that would be helpful so we don't have to fix breakages to things that worked in the first place.